Subject: bug#74145: 31.0.50; Default lexical-binding to t

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Feb 2025 19:27:26 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Visuwesh <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Tue, 18 Feb 2025 11:53:45 -0500
> 
> >> +1.  It is also a bit time consuming to change code to follow lexical
> >> binding and AFAIU from reading the list, there is no straightforward way
> >> to do so.  Despite that, I hope there could be some addition to the
> >> manual to outline the rough pathway one may follow.
> >
> > I asked about that, and got the answer that it was impossible.
> 
> This said, we do have
> 
>     @node Converting to Lexical Binding
>     @subsection Converting to Lexical Binding
> 
> in `variables.texi`.

Yes, but the problem is not that there's no such place, the problem is
with what it says.  Basically, it says "use it and fix any problems
you find" (and yes, I know that every summary comes with a
simplification that sometimes does injustice to the original text).